TICKIT_PEN_CLEAR(3)

NAME
tickit_pen_clear, tickit_pen_clear_attr - remove pen attributes

SYNOPSIS
    #include <tickit.h>

    void tickit_pen_clear(TickitPen *pen);
    void tickit_pen_clear_attr(TickitPen *pen, TickitPenAttr attr);

Link with -ltickit.

DESCRIPTION
tickit_pen_clear() removes all the attributes from the pen instance.

tickit_pen_clear_attr() removes the given attribute from the pen instance. After calling this function, tickit_pen_has_attr(3) will return false for this attribute.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_pen_new(3), tickit_pen_has_attr(3), tickit_pen_set_bool_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen(7), tickit(7)